# Class Pools

java.lang.Object
org.mariadb.jdbc.internal.util.pool.Pools

public class Pools extends Object

## Constructor Summary

Constructors
Constructor
Description
`Pools()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`close()`
Close all pools.
`static void`
`close(String poolName)`
Closing a pool with name defined in url.
`static void`
`remove(Pool pool)`
Remove pool.
`static Pool`
`retrievePool(UrlParser urlParser)`
Get existing pool for a configuration.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Pools

public Pools()

## Method Details

### retrievePool

public static Pool retrievePool(UrlParser urlParser)
Get existing pool for a configuration. Create it if doesn't exists.

Parameters:
  `urlParser` - configuration parser
Returns:
  pool

### remove

public static void remove(Pool pool)
Remove pool.

Parameters:
  `pool` - pool to remove

### close

public static void close()
Close all pools.

### close

public static void close(String poolName)
Closing a pool with name defined in url.

Parameters:
  `poolName` - the option "poolName" value